# WTTJ articles

{% hint style="info" %}
It requires `cms_collection_categories_r`, `cms_collections_r` and `cms_articles_r`
{% endhint %}

## List articles

<mark style="color:blue;">`GET`</mark> `https://www.welcomekit.co/api/v1/external/cms/articles/all`

#### Query Parameters

| Name                    | Type   | Description                                                                                           |
| ----------------------- | ------ | ----------------------------------------------------------------------------------------------------- |
| indexed                 | string | Returns articles from this index                                                                      |
| category\_reference     | string | Returns articles from this category                                                                   |
| language                | string | Returns articles in this language                                                                     |
| collection\_reference   | string | Returns articles linked to this collection. A collection is a group of articles with the same subject |
| organization\_reference | string | Returns articles linked to this organization                                                          |
| published\_before       | string | Returns articles published before this date (YYYY-MM-DD)                                              |
| published\_after        | string | Returns articles published after this date (YYYY-MM-DD)                                               |
| updated\_after          | string | Returns articles updated after this date (YYYY-MM-DD)                                                 |
| created\_after          | string | Returns articles created after this date (YYYY-MM-DD)                                                 |
| page                    | number | Page offset                                                                                           |
| per\_page               | number | Number of article per page                                                                            |
| q                       | String | Search in the title                                                                                   |
| order\_by               | String | published\_at:asc or published\_at:desc                                                               |

{% tabs %}
{% tab title="200 " %}

```
[
    {
        "name": "Risk Analyst",
        "cms_collections": [],
        "indexed": [
            "workers"
        ],
        "image_url": "url",
        "cms_authors": [],
        "seo_title": "What does a risk analyst do?",
        "seo_description": "What does a risk analyst do? What kind of skills do you need to become one? How much does a risk analyst earn? Find out with this video.",
        "social_title": "Oh My Job: Risk Analyst",
        "social_description": "What does a risk analyst do? What kind of skills do you need to become one? How much does a risk analyst earn? Find out with this video.",
        "social_image_url": "url",
        "url": "https://www.welcometothejungle.com/en/articles/oh-my-job-risk-analyst",
        "summary": "Risk analysts identify, assess, and monitor the risks to which their company is exposed. ",
        "cms_video": {
            "id": 1111,
            "source": "youtube",
            "external_reference": "IHqr5rrxz",
            "name": "Risk Analyst",
            "description": "",
            "subtitle": "",
            "image": {
                "url": "url",
                "thumb": {
                    "url": "url"                
                },
                "small": {...
                },
                "medium": {...
                },
                "large": {...
                }
            },
            "is_active": null,
            "record_type": "",
            "record_id": "",
            "wttj_id": null,
            "created_at": "2019-11-06T18:22:18.413+01:00",
            "updated_at": "2019-11-06T18:22:19.400+01:00",
            "details": {
                "snippet": {
                    "title": "OH MY JOB! :Risk Analyst (🇬🇧SUB)",
                    "thumbnails": {
                        "medium": {
                            "width": 320,
                            "url": "url",
                            "height": 180
                        },
                        "high": {...
                        },
                        "default": {...
                        }
                    },
                    "tags": [
                        "Risk Analyst",
                        "Risk",
                        "Job",
                        "Employment",
                        "Analyst"
                    ],
                    "publishedAt": "2019-11-06T16:34:25.000Z",
                    "localized": {
                        "title": "OH MY JOB! :Risk Analyst (🇬🇧SUB)",
                        "description": "Discover the role of Risk Analyst!"
                    },
                    "liveBroadcastContent": "none",
                    "description": "Discover the role of Risk Analyst!",
                    "defaultAudioLanguage": "fr-FR",
                    "channelTitle": "Welcome to the Jungle Studio",
                    "channelId": "...",
                    "categoryId": "1"
                },
                "kind": "youtube#video",
                "id": "IHqr5LY",
                "etag": "\"j6xRRd8\"",
                "contentDetails": {
                    "projection": "rectangular",
                    "licensedContent": false,
                    "duration": "PT4M1S",
                    "dimension": "2d",
                    "definition": "hd",
                    "caption": "false"
                }
            },
            "reference": "blabla"
        },
        "content": "...",
        "language": "en",
        "published_at": "2019-11-06T18:41:47.539+01:00",
        "reference": "25pW0NeeeG",
        "categories": [
            {
                "reference": "workers-sectors-jobs",
                "created_at": "2021-03-29T15:39:32.198+02:00",
                "updated_at": "2021-04-12T10:04:45.259+02:00",
                "published_at": "2021-04-12T10:04:45.259+02:00",
                "name": "Sectors and jobs"
            }
        ],
        "organizations": [
            {
                "name": "blabla",
                "slug": "societe-bla",
                "description": "...",
                "logo_url": "url"
            }
        ]
    },
    {...},
    ...
    ]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.welcomekit.co/media-api/list-wttj-articles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
